%global pypi_name kubernetes

Name:       python-%{pypi_name}
Version:    26.1.0
Release:    %mkrel 2
Summary:    Python client for the kubernetes API
Group:      Development/Python
License:    ASL 2.0
URL:        https://pypi.org/project/kubernetes
Source0:    %{pypi_source}
Patch0:     kubernetes-25.3.0-relax-version-dependencies.patch
BuildArch:  noarch

%description
Python client for the kubernetes API.

%package -n python3-%{pypi_name}
Summary:        Kubernetes Python3 Client
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Python3 client for the kubernetes API.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 wally <wally> 26.1.0-2.mga10
+ Revision: 2158381
- rebuild for python3.13

* Mon Jan 01 2024 daviddavid <daviddavid> 26.1.0-1.mga10
+ Revision: 2024984
- new version: 26.1.0

* Sun Dec 31 2023 daviddavid <daviddavid> 25.3.0-3.mga10
+ Revision: 2024729
- rebuild for py3.12
- switch to pyproject

* Sun Jan 15 2023 guillomovitch <guillomovitch> 25.3.0-2.mga9
+ Revision: 1933278
- fix automatic dependencies

* Sat Jan 14 2023 guillomovitch <guillomovitch> 25.3.0-1.mga9
+ Revision: 1933141
- imported package python-kubernetes

